# 听歌识曲 Demo (Credit: https://github.com/mos9527/ncm-afp)

DISCLAIMER:

This site uses the offical NetEase audio matcher APIs (reverse engineered from https://fn.music.163.com/g/chrome-extension-home-page-beta/)

And DOES NOT condone copyright infringment nor intellectual property theft.

NOTE:

Before start using the site, you may want to access this link first:

https://cors-anywhere.herokuapp.com/corsdemo

Since Netease APIs do not have CORS headers, this is required to alleviate this restriction.

Usage:

- Select your audio file through "Choose File" picker
- Hit the "Clip" button and wait for the results!

Mix in Microphone input